// FileVVw.h : interface of the CFileViewView class
//
/////////////////////////////////////////////////////////////////////////////

class CFileViewView : public CView
{
protected: // create from serialization only
	CFileViewView();
	DECLARE_DYNCREATE(CFileViewView)

	int currentLine;
	int margin;
	CFont *ourFont;
	int lHeight;
	int cWidth;
	int saveLHeight, saveCWidth;
	int saveCurrentLine;
	CRect printerRect;

// Attributes
public:
	CFileViewDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CFileViewView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual void OnInitialUpdate();
	virtual void OnPrepareDC(CDC* pDC, CPrintInfo* pInfo = NULL);
	protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnPrint(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CFileViewView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CFileViewView)
	afx_msg void OnVScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in FileVVw.cpp
inline CFileViewDoc* CFileViewView::GetDocument()
   { return (CFileViewDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////
